package com.lantone.qc.kernel.catalogue.behospitalized;

import com.lantone.qc.kernel.catalogue.QCCatalogue;
import com.lantone.qc.pub.model.InputInfo;
import com.lantone.qc.pub.model.OutputInfo;
import com.lantone.qc.pub.util.StringUtil;
import org.springframework.stereotype.Component;

import java.util.Map;

/**
 * @ClassName : BEH02953
 * @Description :  化学及放射性毒物接触史未填写（结构化数据）
 * @Author : 胡敬
 * @Date: 2020-06-16 13:15
 */
@Component
public class BEH02953 extends QCCatalogue {
    @Override
    public void start(InputInfo inputInfo, OutputInfo outputInfo) {
        status.set("0");
        if (inputInfo.getBeHospitalizedDoc() == null) {
            return;
        }
        Map<String, String> beHospitalStructureMap = inputInfo.getBeHospitalizedDoc().getStructureMap();
        if (StringUtil.isBlank(beHospitalStructureMap.get("化学及放射性毒物接触史"))) {
            status.set("-1");
        }
    }
}